#!/bin/bash
#SBATCH --qos=debug
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=16
#SBATCH --cpus-per-task=16
#SBATCH -C cpu
#SBATCH -t 00:05:00
#SBATCH -J parabands
#SBATCH -A m3606

export SLURM_CPU_BIND="cores"
export OMP_PROC_BIND=spread
export OMP_PLACES=threads
export OMP_NUM_THREADS=1
export HDF5_USE_FILE_LOCKING=FALSE
export BGW_HDF5_WRITE_REDIST=1
ulimit -s unlimited

module load PrgEnv-gnu
module load cpe/23.03
module load gcc/10.3.0 # versions above this are buggy! (02/01/24)
module load cray-hdf5-parallel
module load cray-fftw
module load cray-libsci
module load python 

pb=$HOME/CODES-PERLMUTTER/BerkeleyGW-cpu/bin/parabands.cplx.x

srun -n 8 -c 4 --cpu-bind=cores $pb  &> parabands.out
