#!/bin/bash -l
#SBATCH -q debug
#SBATCH -t 00:10:00
#SBATCH -N 1
#SBATCH -C knl,quad,cache
#SBATCH -S 4

export OMP_NUM_THREADS=4
export MPIRUN="srun -N 1 -n 16 -c 16 --cpu_bind=cores"
export OMP_PLACES=threads
export OMP_PROC_BIND=spread

$MPIRUN ~/codes/q-e/bin/pw.x -npools 1 < scf.in &> scf.out
$MPIRUN ~/codes/q-e/bin/pw2bgw.x -npools 1 < pw2bgw.in &> pw2bgw.out
rm *.wfc*
